Bug 1254730 - Please update to SimGear-3.6.0
Please update to SimGear-3.6.0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: SimGear (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 13:45 EDT by Ralf Corsepius
Modified: 2015-09-12 09:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-12 09:10:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2015-08-18 13:45:56 EDT
Description of problem:

Please upgrade SimGear to a newer version. 

Debian seems to be in process of upgrading their simgear to the version found on git://git.code.sf.net/p/flightgear/simgear

cf. 
http://wiki.flightgear.org/Building_FlightGear_-_Linux
https://packages.debian.org/experimental/libsimgear-dev

Additional info:
* SimGear-2.4.0 as currently being shipped by Fedora seems incompatible to the recently released 0penSceneGraph-3.4.0. SimGear-2.4.0 builds fine against OSG-3.2.x but fails to build against OSG-3.4.x.

=> Staying with SimGear-2.4.0 would introduce complications to upgrading OSG.

* Initial tries to build SimGear-2.6.0 tells it builds fine against both OSG-3.2.x and OSG-3.4.x. However, I don't know about its runtime quality.
Comment 1 Tom "spot" Callaway 2015-09-10 18:11:46 EDT
3.7.0 is now in rawhide.
Comment 2 Ralf Corsepius 2015-09-11 04:19:15 EDT
Thanks. I'll try to upgrade OpenSceneGraph on rawhide to OSG-3.4.0.

This would require rebuilding all dependent packages, i.e. at least SimGear and osgearth, but probably also FlightGear and may-be more.
Comment 3 Fabrice Bellet 2015-09-11 05:22:54 EDT
Sorry for taking long time to grab this case. Recently back from vacation, I plan to work on it this week-end. AFAIK, the 3.6.0 version of FlightGear/Simgear is not released yet according to http://mirrors.ibiblio.org/simgear/ftp/Source/, so I think rawhide should stay to releases/3.6.0 git branch until FlightGear 3.6.0 is out.
Comment 4 Ralf Corsepius 2015-09-11 05:38:43 EDT
(In reply to Fabrice Bellet from comment #3)
> Sorry for taking long time to grab this case.
Meh ... I just launched the OSG-3.4.0 build :(

> Recently back from vacation, I
> plan to work on it this week-end. AFAIK, the 3.6.0 version of
> FlightGear/Simgear is not released yet according to
> http://mirrors.ibiblio.org/simgear/ftp/Source/, so I think rawhide should
> stay to releases/3.6.0 git branch until FlightGear 3.6.0 is out.

I don't know what Spot exactly did, but I see SimGear-3.7.0 and FlightGear-3.7.0 in rawhide's git.
Comment 5 Fabrice Bellet 2015-09-11 07:16:22 EDT
(In reply to Ralf Corsepius from comment #4)
> (In reply to Fabrice Bellet from comment #3)
> > Sorry for taking long time to grab this case.
> Meh ... I just launched the OSG-3.4.0 build :(

It should be okay, as simgear/flightgear 3.6.0 build fine with OSG-3.4.0
Comment 6 Ralf Corsepius 2015-09-11 11:02:16 EDT
(In reply to Fabrice Bellet from comment #5)
> It should be okay, as simgear/flightgear 3.6.0 build fine with OSG-3.4.0
Yes, they build fine. Before launching official rebuilds, I had rebuilt them locally earlier today.

Meanwhile, official rebuilts of SimGear, FlightGear, fgrun and osgearth against OSG-3.4.0 should have landed in rawhide.

FYI: Unless there is strong demand, for now, I do not plan to upgrade OSG to 3.4.0 on Fedora < rawhide, because OSG-3.4.x is incompatible to OSG-3.2.x (in Fedora < rawhide).
Comment 7 Fabrice Bellet 2015-09-11 12:10:43 EDT
If you agree, I'll keep this bug open until I can "downgrade" to simgear/flightgear 3.6.0 pre-release builds in rawhide, packages are almost ready by my side locally.
Comment 8 Tom "spot" Callaway 2015-09-11 12:27:49 EDT
They're not pre-release builds. They tagged 3.6.0 and 3.7.0 in their git repo. The FlightGear package is actually a few patches past 3.7.0 because it fixes segfaults.
Comment 9 Fabrice Bellet 2015-09-11 13:07:59 EDT
Hi Spot!

My point of view is that the release is out when an official tarball hits mirrors.ibiblio.org, which has not happened yet. But well I'd prefer a 3.6.0-0.xx or 3.6.0-1 in rawhide instead of 3.7.0, because I'm not sure 3.7.0 will have evolved into 3.8.0 when rawhide will be branched into f24. Would you agree to come back to 3.6.0 in rawhide ?
Comment 10 Ralf Corsepius 2015-09-11 13:19:28 EDT
(In reply to Fabrice Bellet from comment #7)
> If you agree, I'll keep this bug open until I can "downgrade" to
> simgear/flightgear 3.6.0 pre-release builds in rawhide, packages are almost
> ready by my side locally.
The rationale for me to file this BZ was SimGear-3.4.x being the road-block, which prevented me from upgrading OpenSceneGraph. The alternative for me would have been to introduce a OpenSceneGraph32 (compat) package, something I'd rather avoid (It's technically possible, but would imply a lot of work and packing hassle).

So, I don't actually have an opinion on SimGear/FlightGear. As far as I am concerned - feel free to do what ever you (plural: Spot and Fabrice) feel is appropriate.
Comment 11 Tom "spot" Callaway 2015-09-11 13:20:28 EDT
No, because the 3.7.0 release was done to fix a security issue in FlightGear 3.6.0. Upstream is consistently tagging releases at this point, despite not releasing tarballs. I see no reason to revert.
Comment 12 Fabrice Bellet 2015-09-11 14:24:40 EDT
It seems to me that the 4 commits from the origin/next branch of flightgear between version bump 3.6.0 and version bump 3.7.0 are also in the origin/release/3.6.0 branch. Bump to 3.7.0 has been done in the origin/next branch only, which is the development branch AFAIK. 

So do you think we should we follow the origin/next branch of flightgear/simgear/fgrun/fgdata in rawhide?
Comment 13 Tom "spot" Callaway 2015-09-11 14:32:08 EDT
I didn't look into any branches, I was looking at the git trunk for SimGear/FlightGear.

If you really disagree with what I've done, ask upstream for guidance and if they recommend we do something different, I'll defer to them.
Comment 14 Fabrice Bellet 2015-09-12 09:10:10 EDT
Okay, after some more time to think about it, we certainly can continue with these version numbers as they're currently in rawhide.

I also want to thank you for the time you spent in upgrading these packages while I was unavailable, and next time, I'll do my best to react to bugzilla requests in a more timely manner. Thanks!

Note You need to log in before you can comment on or make changes to this bug.